Old results

<hidden> anonymous
Created: 4 years and 11 months ago
When i search for software development related help, duck duck most of the time give me old results, example if you search "postgresql epoch to timestamp" the first result is this "PostgreSQL: Documentation: 8.1: Date/Time Functions and Operators", the link is for postgresql/current so when i click it im on 9.3 version, so that result "8.1" is 2 years old.
Another big example is when you search "java jtextfield", the firs link is for java 1.4.2, the current java is 1.7 and i guess java 1.4.2 is 10 years old.
I think duckduck should give dates more points than clicks, or whatever is your logic for first results.

Hope its help improvement, thanks for doing it.

This forum has been archived

Thank you all for the many comments, questions and suggestions. Particular thanks go to user x.15a2 for constantly monitoring, replying and helping so many users here. To continue these discussions, please head over to the DuckDuckGo subreddit.


anonymous
+1

Furthermore, Java 1.4.2 links are currently broken. It seems oracle removed that javadoc
posted by <hidden> • 4 years and 10 months ago Link
yegg
On Java, can you explain a bit more on a query example? We have docs as instant answers a la

https://duckduckgo.com/?q=Java+split

but they are using a newer version. This is open source at

https://github.com/duckduckgo/zeroclicki...
posted by yegg Staff4 years and 10 months ago Link
yegg
What link is this coming up for? When I look at

https://duckduckgo.com/?q=postgresql+epo...

I see the first link to

http://www.postgresql.org/docs/current/s...

which references current.

We do have some old programming/sysadmin docs in our fathead plugin system though (https://github.com/duckduckgo/zeroclicki...). If any of these are out of date we could really use help updating them. A lot are probably just changing version numbers.

Also, some of these docs are closed source and I just opened an issue to open all of them.

https://github.com/duckduckgo/zeroclicki...
posted by yegg Staff4 years and 10 months ago Link
anonymous
Hi,

its strange, because after some searches I am still getting links to version 8.2, when the oldest supported is 8.4:



Can I tweak DDG somehow? I use Firefox Nightly with official DDG search engine add-on.
posted by <hidden> • 4 years and 8 months ago Link
anonymous
Errr... Link did not show up:

https://duckduckgo.com/?q=PostgreSQL+esc...

posted by <hidden> • 4 years and 8 months ago Link